tor-resolve(1)

NAME

tor-resolve - resolve a hostname to an IP address via tor

SYNOPSIS
tor-resolve [-4|-5] [-v] [-x] hostname [sockshost[:socksport]]

DESCRIPTION
tor-resolve is a simple script to connect to a SOCKS proxy that knows about the SOCKS RESOLVE command, hand it a hostname, and return an IP address.

OPTIONS
-v Display verbose output.

-x  Perform a reverse lookup: get the PTR record for an IPv4 address.

-5  Use the SOCKS5 protocol. (Default)

-4  Use the SOCKS4a protocol rather than the default SOCKS5 protocol. Doesn't support reverse DNS.

SEE ALSO
tor(1), torify(1).

See doc/socks-extensions.txt in the Tor package for protocol details.

AUTHORS
Roger Dingledine <arma@mit.edu>, Nick Mathewson <nickm@alum.mit.edu>.